import { ChangeDetectorRef, OnInit } from '@angular/core';
import { NgbCalendar, NgbDateStruct } from '@ng-bootstrap/ng-bootstrap';
import { ActiveCartService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { CmsService } from '@spartacus/core';
import { CustomCheckoutService } from '../../services/checkout.service';
import * as i0 from "@angular/core";
export declare class CustomCheckoutComponent implements OnInit {
    checkoutService: CustomCheckoutService;
    private cmsService;
    cd: ChangeDetectorRef;
    calendar: NgbCalendar;
    activeCartService: ActiveCartService;
    errorInd$: BehaviorSubject<boolean>;
    infoMessage: string;
    previousUrl: string;
    cartId: string;
    isDeliveryBox: boolean;
    ACTIVE_ITEM: string;
    ngbMinDate: any;
    selectedAddress: string;
    maxTime: any;
    fromMaxTime: any;
    ccminTime: Date;
    ccmaxTime: Date;
    minTime: any;
    minToTime: any;
    checkoutFormData: any;
    isSubmitted: boolean;
    startTime: any;
    recentAddress: any;
    deliverTime: any;
    defaultAccountAddress: any;
    branchAddress: any;
    checkoutForm: any;
    selectedRecentAddress: any;
    tempBranchListData: any;
    deliveryDisableDates: any;
    collectTime: any;
    fixedMaxDate: any;
    minLeadTime: number;
    responseData: any;
    checkoutToTime: any;
    collectTimeObj: any;
    private mapViewEl;
    specialDayOpeningList: any;
    weekDayOpeningList: any;
    deliveryAddresses: any;
    showMoreAddresses: boolean;
    siteDeliveryRequirements: any;
    clickandCollectComments: any;
    checkoutHeaderContent: any;
    breadcrumbData: any;
    deliveryModes: any;
    view: any;
    pageTitle: any;
    newAddress: any;
    confirmedNewAddress: string;
    showWaitCursor: BehaviorSubject<boolean>;
    constructor(checkoutService: CustomCheckoutService, cmsService: CmsService, cd: ChangeDetectorRef, calendar: NgbCalendar, activeCartService: ActiveCartService);
    ngOnInit(): void;
    getDetailResponse(): void;
    updateMinMaxTime(date: Date): void;
    updateRequestedTime(): void;
    isDisabled: (date: NgbDateStruct) => boolean;
    getSpecialDays(date: NgbDateStruct): any;
    setValueUpdate(collectTimeArg: any, deliverTimeArg: any): void;
    getRoundMinTime(minTime: any): Date;
    timeClick(event: Event, timeObj: any): void;
    timeToClick(event: Event, timeObj: any): void;
    updateStaticTime(hours: number, minutes: number): void;
    getNewAddress(event: any): void;
    reviewOrder(): void;
    onFromTimeChanged(obj: any): void;
    datechange(event: any): void;
    addNewAddress(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCheckoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCheckoutComponent, "app-custom-checkout", never, {}, {}, never, never>;
}
