import { OnInit } from '@angular/core';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../../services/cart.service';
import { OrderFacade } from '@spartacus/order/root';
import * as i0 from "@angular/core";
export declare class OrderConfirmationComponent implements OnInit {
    private cmsService;
    private cartService;
    protected orderFacade: OrderFacade;
    pageTitle: any;
    orderConfirmationContent: any;
    showWaitCursor: BehaviorSubject<boolean>;
    cartId: any;
    cartDetails: any;
    orderDetails: any;
    totalPrice: any;
    environment: any;
    env: any;
    ImgUrl: any;
    orderId: any;
    constructor(cmsService: CmsService, cartService: CartService, orderFacade: OrderFacade);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderConfirmationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrderConfirmationComponent, "app-order-confirmation", never, {}, {}, never, never>;
}
