import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { MyAccountService } from '../../services/my-account.service';
import { OrderHistoryService } from '../../services/order-history.service';
import * as i0 from "@angular/core";
export declare class AccountDashboardComponent implements OnInit {
    private myAccountService;
    cd: ChangeDetectorRef;
    cmsService: CmsService;
    orderHistory: OrderHistoryService;
    emptyDashboardInvoicesComponent: any;
    emptyDashboardOrdersComponent: any;
    showWaitCursor: BehaviorSubject<boolean>;
    loaderImage: BehaviorSubject<boolean>;
    currentPage: number;
    invoiceCreditList: any;
    dataAvailale?: string;
    ordersDataAvailale: string;
    selectedDateRange: any;
    selectedDateKey: string;
    selectedOrderState: any;
    orders: any;
    navigateInvoices: EventEmitter<any>;
    constructor(myAccountService: MyAccountService, cd: ChangeDetectorRef, cmsService: CmsService, orderHistory: OrderHistoryService);
    ngOnInit(): void;
    getInvoiceCreditData(): void;
    getStatus(): void;
    getLastMonthDateRange(): void;
    getOrderHistory(): void;
    navigateToInvoices(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccountDashboardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccountDashboardComponent, "app-account-dashboard", never, {}, { "navigateInvoices": "navigateInvoices"; }, never, never>;
}
