import { HttpClient } from '@angular/common/http';
import { ChangeDetectorRef, OnInit } from '@angular/core';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { MyAccountService } from '../../services/my-account.service';
import * as i0 from "@angular/core";
export declare class AccountStatementsComponent implements OnInit {
    cmsService: CmsService;
    accountService: MyAccountService;
    cd: ChangeDetectorRef;
    private http;
    emptyAccountStatementsContent: any;
    showWaitCursor: BehaviorSubject<boolean>;
    data: {
        key: string;
        value: string;
    };
    isStatementsAvailable: string;
    statements: any;
    constructor(cmsService: CmsService, accountService: MyAccountService, cd: ChangeDetectorRef, http: HttpClient);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccountStatementsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccountStatementsComponent, "app-account-statements", never, {}, {}, never, never>;
}
