import { ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { OrderFacade } from '@spartacus/order/root';
import { CartService } from '../../services/cart.service';
import * as i0 from "@angular/core";
export declare class SharedDownloadOrderComponent implements OnInit, OnDestroy {
    private cmsService;
    cd: ChangeDetectorRef;
    protected orderFacade: OrderFacade;
    private cartService;
    showWaitCursor: BehaviorSubject<boolean>;
    orderDetailsView: any;
    cartDetailsView: any;
    isOrder: any;
    orderDetails: any;
    cartDetails: any;
    totalPrice: any;
    env: any;
    environment: any;
    occeBaseUrl: any;
    noImage: string;
    orderMessage: any;
    downloadView: boolean;
    page: number;
    orderId: any;
    downLoadPdf: any;
    constructor(cmsService: CmsService, cd: ChangeDetectorRef, orderFacade: OrderFacade, cartService: CartService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    orderPdfDownload(): void;
    getOrderDetails(): void;
    download(divRef: any): void;
    getProductImage(cart: any, thumbnail?: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<SharedDownloadOrderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SharedDownloadOrderComponent, "app-shared-download-order", never, { "orderDetailsView": "orderDetailsView"; "cartDetailsView": "cartDetailsView"; "isOrder": "isOrder"; }, {}, never, never>;
}
